Entidades SONOFF no status restore

Bom dia,
Sou novato nestas andanças e tenho tentado entrar no mundo do home assistant.
Consegui adicionar dispositivos sonoff sem flashar atraves do HACS e estava tudo a funcionar bem até à 1 dia atras, quando alguns dos dispositivos ficaram offline.
Se for às entidades verifico este icon que não faço ideia o que indica


tenho outros dispositivos sonoff e estes estao a funicionar.
Os dispositivos que estão offline no HA consigo aceder atraves da app da ewelink.
Alguem consegue ajudar?

Já verificaste os logs?
Que erros tens?

Desculpa a demora Rodolfo, entretanto fiz restore a tudo e esteve estavel durante 2 dias.
O log é este:
2021-04-09 22:56:51 WARNING (MainThread) [homeassistant.loader] You are using a custom integration sonoff which has not been tested by Home Assistant. This component might cause stability problems, be sure to disable it if you experience issues with Home Assistant

2021-04-09 22:56:51 WARNING (MainThread) [homeassistant.loader] You are using a custom integration hacs which has not been tested by Home Assistant. This component might cause stability problems, be sure to disable it if you experience issues with Home Assistant

2021-04-09 22:57:00 WARNING (MainThread) [homeassistant.components.webhook] Received message for unregistered webhook 899dfe6e9fd50037927902461b940f52a90778bed45765255d3423faf290ac50 from 144.64.6.240

2021-04-09 22:57:01 WARNING (MainThread) [homeassistant.components.webhook] Received message for unregistered webhook 899dfe6e9fd50037927902461b940f52a90778bed45765255d3423faf290ac50 from 144.64.6.240

2021-04-09 22:57:52 WARNING (MainThread) [homeassistant.components.webhook] Received message for unregistered webhook 899dfe6e9fd50037927902461b940f52a90778bed45765255d3423faf290ac50 from 144.64.6.240

2021-04-09 22:59:32 ERROR (MainThread) [custom_components.sonoff.sonoff_cloud] Coolkit API error: Cannot connect to host eu-api.coolkit.cc:8080 ssl:default [Name does not resolve]

Traceback (most recent call last):

File “/usr/local/lib/python3.8/site-packages/aiohttp/connector.py”, line 999, in _create_direct_connection

hosts = await asyncio.shield(host_resolved)

File “/usr/local/lib/python3.8/site-packages/aiohttp/connector.py”, line 865, in _resolve_host

addrs = await self._resolver.resolve(host, port, family=self._family)

File “/usr/local/lib/python3.8/site-packages/aiohttp/resolver.py”, line 31, in resolve

infos = await self._loop.getaddrinfo(

File “/usr/local/lib/python3.8/asyncio/base_events.py”, line 825, in getaddrinfo

return await self.run_in_executor(

File “/usr/local/lib/python3.8/concurrent/futures/thread.py”, line 57, in run

result = self.fn(*self.args, **self.kwargs)

File “/usr/local/lib/python3.8/socket.py”, line 918, in getaddrinfo

for res in _socket.getaddrinfo(host, port, family, type, proto, flags):

socket.gaierror: [Errno -2] Name does not resolve

The above exception was the direct cause of the following exception:

Traceback (most recent call last):

File “/config/custom_components/sonoff/sonoff_cloud.py”, line 148, in _api

r = await coro

File “/usr/local/lib/python3.8/site-packages/aiohttp/client.py”, line 520, in _request

conn = await self._connector.connect(

File “/usr/local/lib/python3.8/site-packages/aiohttp/connector.py”, line 535, in connect

proto = await self._create_connection(req, traces, timeout)

File “/usr/local/lib/python3.8/site-packages/aiohttp/connector.py”, line 892, in _create_connection

_, proto = await self._create_direct_connection(req, traces, timeout)

File “/usr/local/lib/python3.8/site-packages/aiohttp/connector.py”, line 1011, in _create_direct_connection

raise ClientConnectorError(req.connection_key, exc) from exc

aiohttp.client_exceptions.ClientConnectorError: Cannot connect to host eu-api.coolkit.cc:8080 ssl:default [Name does not resolve]

2021-04-09 22:59:32 ERROR (MainThread) [custom_components.sonoff.sonoff_cloud] Login error: None

2021-04-09 22:59:32 WARNING (MainThread) [custom_components.sonoff] Can’t connect to eWeLink Cloud

Pelo erro que aparece o equipamento onde tens o HA instalado não se está a conseguir ligar a net por algum motivo.

Fiz reboot a Há e já estão a funcionar novamente

1 Like

Copyright © 2017-2021. Todos os direitos reservados
CPHA.pt - info@cpha.pt


FAQ | Termos de Serviço/Regras | Política de Privacidade